#ifndef __PALETTEUTIL_H__
#define __PALETTEUTIL_H__

#include <stdint.h>
#include <stdbool.h>
#include "palette.h"

#ifdef __cplusplus
extern "C" 
{
#endif // __cplusplus

// Palette helper functions.
void PALETTE_SetColorRGBH (uint16_t idx, uint8_t red, uint8_t green, uint8_t blue, bool shade);
void PALETTE_SetColorRGB  (uint16_t idx, uint8_t red, uint8_t green, uint8_t blue);

// Deprecated.
void     PALETTE_SetColor16 (uint16_t idx, uint16_t color16);
uint16_t PALETTE_GetColor16 (uint16_t idx);

// Does a generic 4:4:4 fadein from a single solid color. Can be used to fade aprites/tiles in from black, white, etc.
// Could have one more bit, but would need bit reordering.
// progress: 0..255, 0 = everything solid, 255 = equal to pSrcData.
void PALETTE_FadeFromSolid (uint16_t destIdx, const PackedColor* pSrcData, uint16_t nColors, const PackedColor solidColor, uint8_t progress);

#ifdef __cplusplus
} // extern "C"
#endif // __cplusplus

#endif // __PALETTEUTIL_H__
