#ifndef __SHARED_H__
#define __SHARED_H__

#include <road.h>

// Helper to make it slightly easier to type.
#define SHARED(x) x __attribute__ ((section (".shared")))

// Scanline to rom pattern index.
extern SHARED(short idxtable[ROAD_SCREEN_HEIGHT]);

// Depth table (256 units = 12m)
extern SHARED(short ztable[ROAD_SCREEN_HEIGHT]);

// Animating distance.
extern SHARED(volatile short distance);

// Update from which cpu?
extern SHARED(volatile uint8_t updateFromCPU);

void RoadTest_Init();
void RoadTest_Update();

#endif // __SHARED_H__
