#include "spriteinfo.h"
#include "palettes.h"

// List generated by scanning for end markers in the sprite mask roms.
// Further split up by hand when sprites of the same pitch/width follow each other.
const SpriteInfo GameSprites[] = 
{
#if 1 
	//---------------------------------------------------------------------------------------------------------------------------------------------------------
	// Player's Ferrari (while driving)
	{ 0, 0x0000,  11,  44, Palette_Ferrari },
	{ 0, 0x01e4,  11,  41, Palette_Ferrari },
	{ 0, 0x03a7,  11,  36, Palette_Ferrari },
	{ 0, 0x0533,  11,  44, Palette_Ferrari },
	{ 0, 0x0717,  11,  41, Palette_Ferrari },
	{ 0, 0x08da,  11,  36, Palette_Ferrari },
	{ 0, 0x0a66,  11,  44, Palette_Ferrari },
	{ 0, 0x0c4a,  11,  41, Palette_Ferrari },
	{ 0, 0x0e0d,  11,  36, Palette_Ferrari },

	// Rotating Ferrari.
	{ 0, 0x2489,  17,  41, Palette_Ferrari },
	{ 0, 0x2742,  23,  40, Palette_Ferrari },
	{ 0, 0x2ada,  22,  40, Palette_Ferrari },
	{ 0, 0x2e4a,  17,  41, Palette_Ferrari },

	{ 2, 0x5fba,  19,  33, Palette_Ferrari }, // Ferrari sideways, missing center (intro?)
	{ 2, 0x622d,   7,  38, Palette_Ferrari }, // Door closing.
	{ 2, 0x6337,   7,  38, Palette_Ferrari },
	{ 2, 0x6441,   7,  38, Palette_Ferrari },
	
	// Ending	
	{ 3, 0x0000,  19,  40, Palette_Ferrari },
	{ 3, 0x02f8,   6,  23, Palette_Ferrari },
	{ 3, 0x0382,   5,  23, Palette_Ferrari }, // Door opening
	{ 3, 0x03f5,   5,  25, Palette_Ferrari },
	{ 3, 0x0472,   4,  26, Palette_Ferrari },
	{ 3, 0x04da,   3,  28 },
	{ 3, 0x052e,   8,  27 }, // Interior (passenger door opening).
	{ 3, 0x0606,   7,  27 },
	{ 3, 0x06c3,   6,  27 },
	
	// Ferrari, breaking down (ending A)
	// Possibly different palette
	{ 0, 0x58ef,  22,  44, Palette_Ferrari },
	{ 0, 0x5cb7,  22,  55, Palette_Ferrari },
	{ 0, 0x6171,  22,  40, Palette_Ferrari },
	// Door
	{ 0, 0x64e1,   8,  23, Palette_Ferrari },
	{ 0, 0x6599,   6,  25, Palette_Ferrari },
	
	// Interior
	{ 0, 0x662f,  10,  27 },
	{ 0, 0x673d,   8,  27 },
	{ 0, 0x6815,   7,  27 },
	{ 0, 0x68d2,   7,  27 },
	{ 0, 0x698f,   7,  27 },
	{ 0, 0x6a4c,   7,  27 },

	// Ferrari flipping over (different palette, needs splitting).
	{ 2, 0xb161,  19, 71, Palette_Ferrari2 }, 
	{ 2, 0xb6a6,  19, 99, Palette_Ferrari2 }, 
	{ 2, 0xbdff,  18, 84, Palette_Ferrari2 },
	{ 2, 0xc3e7,  18, 38, Palette_Ferrari2 },
	{ 2, 0xc693,  18, 70, Palette_Ferrari2 },
	{ 2, 0xcb7f,  18, 78, Palette_Ferrari2 },
	{ 2, 0xd0fb,  18, 97, Palette_Ferrari2 },
	// End ferrari

	//---------------------------------------------------------------------------------------------------------------------------------------------------------
	// Guy + interior (rotating)
	{ 2, 0x924f,   3,  12, Palette_Guy }, 
	{ 2, 0x9273,   4,  13, Palette_Guy },
	{ 2, 0x92a7,   6,  14, Palette_Guy },
	{ 2, 0x92fb,   3,   9, Palette_Guy },
	{ 2, 0x931e,   4,  10, Palette_Guy },
	{ 2, 0x9346,   7,  14, Palette_Guy },
	{ 2, 0x93a8,   4,  13, Palette_Guy },
	{ 2, 0x93dc,   4,  13, Palette_Guy },
	{ 2, 0x9410,   7,  14, Palette_Guy }, 
	{ 2, 0x9472,   8,  15, Palette_Guy },
	{ 2, 0x94ea,   6,  15, Palette_Guy },
	{ 2, 0x9550,   4,   9, Palette_Guy },
	{ 2, 0x9574,   4,  15, Palette_Guy },
	{ 2, 0x95b0,   7,  14, Palette_Guy },
	{ 2, 0x9612,   8,  14, Palette_Guy },
	{ 2, 0x9682,   7,  14, Palette_Guy },
	{ 2, 0x96e4,   3,  13, Palette_Girl },
	{ 2, 0x970b,   2,  13, Palette_Girl },
	{ 2, 0x9725,   3,  13, Palette_Girl },
	{ 2, 0x974c,   3,  14, Palette_Girl }, 
	{ 2, 0x9776,   3,   9, Palette_Girl },
	{ 2, 0x9791,   2,  15, Palette_Girl },
	{ 2, 0x97af,   2,  11, Palette_Girl },
	{ 2, 0x97c5,   2,  11, Palette_Girl },
	{ 2, 0x97db,   4,  13, Palette_Guy },
	{ 2, 0x980f,   4,  13, Palette_Guy },
	{ 2, 0x9843,   2,  12, Palette_Guy },
	{ 2, 0x985b,   3,  12, Palette_Girl },
	{ 2, 0x987f,   3,  12, Palette_Girl },
	{ 2, 0x98a3,   3,  14, Palette_Girl },
	{ 2, 0x98cd,   3,  14, Palette_Girl },

	{ 2, 0xd7cd,   3,  16, Palette_Girl }, // Girl pointing
	{ 2, 0xd7fd,   3,  15, Palette_Girl }, 
	{ 2, 0xd82d,   2,  13, Palette_Girl },
	{ 2, 0xd847,   3,  13, Palette_Guy },
	{ 2, 0xd86e,   3,  13, Palette_Guy },
	{ 2, 0xd895,   4,  14, Palette_Girl },
	{ 2, 0xd8cd,   4,  14, Palette_Girl },
	
	{ 2, 0xd905,   3,  17, Palette_Girl }, // Angry
	{ 2, 0xd938,   3,  17, Palette_Girl },
	{ 2, 0xd96b,   3,  17, Palette_Girl },

	// These need a different palette.
	{ 2, 0x8a7f,   5,  13 }, // Guy+girl (in-car)
	{ 2, 0x8acf,   5,  13 }, // Guy+girl (in-car)
	{ 2, 0x8b1f,   5,  13 }, // Guy+girl (in-car)
	{ 2, 0x8b6f,   5,  13 }, // Guy+girl (in-car)
	{ 2, 0x8bb5,   5,  15 }, // Guy + girl pointing (in-car)
	{ 2, 0x8c00,   3,  13 }, // Guy
	{ 2, 0x8c27,   2,  13 }, // Girl
	{ 2, 0x8c99,   7,  26 }, // Guy+girl (in-game, driving, animation 2 frames)
	
	//---------------------------------------------------------------------------------------------------------------------------------------------------------
	// Guy getting out of car, lots of sprites.
	{ 3, 0x2793,   2,  13, Palette_Guy },
	{ 3, 0x27ad,   5,  18, Palette_Guy },
	{ 3, 0x280c,   5,  15, Palette_Guy },
	{ 3, 0x2857,   4,  34, Palette_Guy },
	{ 3, 0x28df,   5,  45, Palette_Guy },
	{ 3, 0x29c0,   4,  49, Palette_Guy },
	{ 3, 0x2a84,   4,  59, Palette_Guy },
	{ 3, 0x2b70,   4,  59, Palette_Guy },
	{ 3, 0x2c5c,   4,  67, Palette_Guy },
	{ 3, 0x2d68,   3,  59, Palette_Guy },
	{ 3, 0x2e19,   4,  59, Palette_Guy },
	{ 3, 0x2f05,   4,  59, Palette_Guy },
	{ 3, 0x2ff1,   4,  59, Palette_Guy },
	{ 3, 0x30dd,   4,  59, Palette_Guy },
	{ 3, 0x31c9,   4,  58, Palette_Guy },
	{ 3, 0x32b9,   4,  57, Palette_Guy },
	{ 3, 0x33a1,   4,  58, Palette_Guy },
	{ 3, 0x348d,   4,  58, Palette_Guy },
	{ 3, 0x3575,   2,  60, Palette_Guy },
	{ 3, 0x35ed,   3,  58, Palette_Guy },
	{ 3, 0x369b,   4,  58, Palette_Guy },
	{ 3, 0x3783,   5,  58, Palette_Guy },
	{ 3, 0x38a5,   5,  58, Palette_Guy },
	{ 3, 0x39c7,   4,  58, Palette_Guy },
	{ 3, 0x3aaf,   4,  58, Palette_Guy },
	{ 3, 0x3b97,   4,  58, Palette_Guy },
	{ 3, 0x3c7f,   5,  58, Palette_Guy },
	{ 3, 0x3da1,   5,  58, Palette_Guy },
	{ 3, 0x3ec3,   8,  22, Palette_Guy },
	{ 3, 0x3f73,   6,  29, Palette_Guy },
	{ 3, 0x4021,   8,  34, Palette_Guy },

	// After crash	
	{ 3, 0x615c,   4,  59, Palette_Guy },
	{ 3, 0x6248,   3,  59, Palette_Guy },
	{ 3, 0x62f9,   3,  59, Palette_Guy },
	{ 3, 0x63aa,   6,  59, Palette_Guy },
	{ 3, 0x650c,   5,  59, Palette_Guy },
	{ 3, 0x6633,   6,  59, Palette_Guy },

	// Getting prize
	{ 2, 0xd99e,   3,  14, Palette_Guy },
	{ 2, 0xd9c8,   3,  57, Palette_Guy },
	{ 2, 0xda73,   3,  57, Palette_Guy },
	{ 2, 0xdb1e,   4,  58, Palette_Guy }, // Taking prize.
	{ 2, 0xdc06,   4,  58, Palette_Guy }, // Taking prize.
	{ 2, 0xdcee,   3,  58, Palette_Guy },
	{ 2, 0xdd9c,   3,  58, Palette_Guy },
	{ 2, 0xde4a,   3,  58, Palette_Guy }, 

	// Guy getting magic lamp.
	{ 3, 0xf850,   4,  58, Palette_Guy }, 
	{ 3, 0xf938,   4,  58, Palette_Guy },
	{ 3, 0xfa20,   4,  58, Palette_Guy },
	{ 3, 0xfb08,   4,  58, Palette_Guy },
	{ 3, 0xfbf0,   4,  58, Palette_Guy },
	{ 3, 0xfcd8,   4,  56, Palette_Guy },
	{ 3, 0xfdb8,   4,  56, Palette_Guy },
	{ 3, 0xfe98,   4,  56, Palette_Guy },
	
	// Guy, tumbling from car.
	{ 0, 0x3ef5,   5,  26, Palette_Guy },
	{ 0, 0x3fa4,   5,  36, Palette_Guy },
	{ 0, 0x405d,   5,  36, Palette_Guy },
	{ 0, 0x413e,   5,  24, Palette_Guy },
	{ 0, 0x41d4,   5,  33, Palette_Guy },
	{ 0, 0x4283,   5,  31, Palette_Guy },
	{ 0, 0x433c,   7,  26, Palette_Guy },
	{ 0, 0x43f2,   7,  18, Palette_Guy },
	{ 0, 0x4470,   5,  24, Palette_Guy },
	{ 0, 0x44e8,   5,  27, Palette_Guy },
	{ 0, 0x456f,   5,  27, Palette_Guy },
	{ 0, 0x45f6,   5,  27, Palette_Guy },
	{ 0, 0x467d,   5,  28, Palette_Guy },
	{ 0, 0x4709,   5,  28, Palette_Guy },

	// Thrown in the air by distracted men.
	{ 3, 0x79d4,   8,  24, Palette_Guy },
	{ 3, 0x7a94,   7,  20, Palette_Guy },
	{ 3, 0x7b20,   5,  35, Palette_Guy },
	{ 3, 0x7bcf,   8,  29, Palette_Guy },
	{ 3, 0x7cb7,   8,   6, Palette_Guy },  // Sunglasses.
	{ 3, 0x7cff,   8,  15, Palette_Guy },
	{ 3, 0x7d77,   9,  15, Palette_Guy },
	// End guy

	//---------------------------------------------------------------------------------------------------------------------------------------------------------
	// Girl getting out of car.	
	{ 3, 0x0765,   2,  12, Palette_Girl },
	{ 3, 0x077d,   3,  16, Palette_Girl },
	{ 3, 0x07ad,   4,  55, Palette_Girl }, // Girl
	{ 3, 0x088d,   4,  55, Palette_Girl },
	{ 3, 0x0969,   4,  55, Palette_Girl },
	{ 3, 0x0a45,   4,  55, Palette_Girl },
	{ 3, 0x0b21,   4,  54, Palette_Girl },
	{ 3, 0x0bfd,   4,  54, Palette_Girl },
	{ 3, 0x0cd9,   4,  54, Palette_Girl },
	{ 3, 0x0db5,   3,  56, Palette_Girl },
	{ 3, 0x0e5d,   3,  56, Palette_Girl },
	{ 3, 0x0f05,   3,  56, Palette_Girl },
	{ 3, 0x0fad,   3,  56, Palette_Girl },
	{ 3, 0x1055,   3,  56, Palette_Girl },
	{ 3, 0x10fd,   3,  53, Palette_Girl }, // With some empty at the bottom. 53 = real height.
	{ 3, 0x11a5,   2,  55, Palette_Girl },
	{ 3, 0x1213,   2,  55, Palette_Girl },
	{ 3, 0x1281,   4,  55, Palette_Girl }, // Pointing
	{ 3, 0x135d,   4,  55, Palette_Girl },
	{ 3, 0x1439,   4,  55, Palette_Girl },

	// After crashing.
	{ 3, 0x5b40,   4,  55, Palette_Girl },
	{ 3, 0x5c1c,   4,  56, Palette_Girl },
	{ 3, 0x5cfc,   4,  56, Palette_Girl },
	{ 3, 0x5ddc,   4,  56, Palette_Girl },
	{ 3, 0x5ebc,   4,  56, Palette_Girl },
	{ 3, 0x5f9c,   4,  56, Palette_Girl },
	{ 3, 0x607c,   4,  56, Palette_Girl },
	
	// Girl taking trophy.
	{ 2, 0xdef8,   3,  55, Palette_Girl },
	{ 2, 0xdf9d,   4,  55, Palette_Girl },
	{ 2, 0xe079,   4,  55, Palette_Girl },
	{ 2, 0xe155,   4,  55, Palette_Girl },
	{ 2, 0xe231,   4,  55, Palette_Girl },
	{ 2, 0xe30d,   4,  55, Palette_Girl },
	{ 2, 0xe3e9,   4,  55, Palette_Girl },
	{ 2, 0xe4c5,   4,  55, Palette_Girl },
	{ 2, 0xe5a1,   4,  55, Palette_Girl },
	{ 2, 0xe67d,   4,  55, Palette_Girl },
	{ 2, 0xe759,   4,  55, Palette_Girl },
	{ 2, 0xe835,   4,  55, Palette_Girl },
	{ 2, 0xe911,   3,  55, Palette_Girl },
	{ 2, 0xe9b6,   3,  55, Palette_Girl },
	{ 2, 0xea5b,   4,  55, Palette_Girl },
	
	// Girl, tumbling from car.	
	{ 0, 0x47a9,   5,  25, Palette_Girl },
	{ 0, 0x487b,   5,  24, Palette_Girl },
	{ 0, 0x4939,   5,  33, Palette_Girl },
	{ 0, 0x4a1f,   5,  21, Palette_Girl },
	{ 0, 0x4aa6,   5,  37, Palette_Girl },
	{ 0, 0x4b64,   5,  32, Palette_Girl },
	{ 0, 0x4c27,   5,  32, Palette_Girl },
	{ 0, 0x4cc7,   6,  22, Palette_Girl },
	{ 0, 0x4d4b,   5,  11, Palette_Girl },
	{ 0, 0x4d82,   4,  24, Palette_Girl },
	{ 0, 0x4de2,   4,  28, Palette_Girl },
	{ 0, 0x4e52,   4,  28, Palette_Girl },
	{ 0, 0x4ec2,   4,  28, Palette_Girl },
	// End girl.

	//---------------------------------------------------------------------------------------------------------------------------------------------------------
	// Trophy girl (no palette yet).
	{ 3, 0x1515,   5,  55, Palette_TrophyGirl },
	{ 3, 0x1628,   5,  55, Palette_TrophyGirl },
	{ 3, 0x173b,   5,  55, Palette_TrophyGirl },
	{ 3, 0x184e,   5,  55, Palette_TrophyGirl },
	{ 3, 0x1961,   5,  55, Palette_TrophyGirl },
	{ 3, 0x1a74,   5,  55, Palette_TrophyGirl },
	{ 3, 0x1b87,   4,  56, Palette_TrophyGirl },
	{ 3, 0x1c67,   5,  56, Palette_TrophyGirl },
	{ 3, 0x1d7f,   5,  56, Palette_TrophyGirl },
	{ 3, 0x1e97,   4,  56, Palette_TrophyGirl },
	{ 3, 0x1f77,   3,  56, Palette_TrophyGirl },
	{ 3, 0x201f,   3,  56, Palette_TrophyGirl },
	{ 3, 0x20c7,   4,  56, Palette_TrophyGirl },
	{ 3, 0x21a7,   4,  56, Palette_TrophyGirl },
	{ 3, 0x2287,   4,  55, Palette_TrophyGirl },
	{ 3, 0x2367,   4,  55, Palette_TrophyGirl },
	{ 3, 0x2447,   4,  55, Palette_TrophyGirl },
	{ 3, 0x2527,   4,  55, Palette_TrophyGirl },
	{ 3, 0x2607,   3,  56, Palette_TrophyGirl },
	{ 3, 0x26af,   4,  57, Palette_TrophyGirl },
	
	{ 2, 0xeb37,   3,  55, Palette_TrophyGirl }, // Pointing.
	{ 2, 0xebdc,   3,  55, Palette_TrophyGirl }, 

	//---------------------------------------------------------------------------------------------------------------------------------------------------------
	 // Bikini girl.
	{ 3, 0xde53,   4,  57, Palette_BikiniGirl },
	{ 3, 0xdf37,   4,  57, Palette_BikiniGirl },
	{ 3, 0xe01b,   4,  57, Palette_BikiniGirl },
	{ 3, 0xe0ff,   4,  57, Palette_BikiniGirl },
	{ 3, 0xe1e3,   4,  57, Palette_BikiniGirl },
	{ 3, 0xe2c7,   4,  57, Palette_BikiniGirl },
	{ 3, 0xe3ab,   3,  57, Palette_BikiniGirl },

	//---------------------------------------------------------------------------------------------------------------------------------------------------------
	// Magic lamp guy
	{ 3, 0xe70e,   7,  76 }, // Man with fez saying 'magic lamp!'
	{ 3, 0xe922,   4,  58 },
	{ 3, 0xea0a,   4,  58 },
	{ 3, 0xeaf2,   4,  58 }, 
	{ 3, 0xebda,   4,  58 }, 
	{ 3, 0xecc2,   4,  58 },
	{ 3, 0xedaa,   4,  58 },
	{ 3, 0xee92,   4,  58 },
	{ 3, 0xef7a,   4,  58 },

	{ 3, 0xf062,   5,  58 },
	{ 3, 0xf184,   4,  58 },
	{ 3, 0xf26c,   3,  58 },
	{ 3, 0xf31a,   3,  58 },
	{ 3, 0xf3c8,   4,  58 },
	{ 3, 0xf4b0,   3,  58 },
	{ 3, 0xf55e,   3,  58 },
	{ 3, 0xf60c,   4,  58 },
	{ 3, 0xf6f4,   3,  58 },
	{ 3, 0xf7a2,   3,  58 },
	
	{ 3, 0xe456,  12,  58 }, // Magic lamp girls.

//
	
	
	
	
	
	





	
	// Porsche (5 zoom levels)
	{ 0, 0x0f99,   8,  43, Palette_Porsche },
//	{ 0, 0x10f1,   4,  21, Palette_Porsche },
//	{ 0, 0x1145,   3,  10, Palette_Porsche },
//	{ 0, 0x1163,   2,   5, Palette_Porsche },
//	{ 0, 0x116d,   1,   2, Palette_Porsche },
	{ 0, 0x116f,   8,  45, Palette_Porsche },
//	{ 0, 0x12d7,   4,  22, Palette_Porsche },
//	{ 0, 0x132f,   3,  11, Palette_Porsche },
//	{ 0, 0x1350,   2,   5, Palette_Porsche },
//	{ 0, 0x135a,   1,   2, Palette_Porsche },
	{ 0, 0x135c,   9,  43, Palette_Porsche },
//	{ 0, 0x14df,   4,  24, Palette_Porsche },
//	{ 0, 0x153f,   3,  12, Palette_Porsche },
//	{ 0, 0x1563,   2,   6, Palette_Porsche },
//	{ 0, 0x156f,   1,   3, Palette_Porsche },
	{ 0, 0x1572,   9,  45, Palette_Porsche },
//	{ 0, 0x1707,   5,  22, Palette_Porsche },
//	{ 0, 0x1775,   3,  11, Palette_Porsche },
//	{ 0, 0x1796,   2,   5, Palette_Porsche },
//	{ 0, 0x17a0,   1,   2, Palette_Porsche },
	{ 0, 0x17a2,  10,  43, Palette_Porsche },
//	{ 0, 0x1950,   5,  21, Palette_Porsche },
//	{ 0, 0x19b9,   3,  10, Palette_Porsche },
//	{ 0, 0x19d7,   2,   5, Palette_Porsche },
//	{ 0, 0x19e1,   1,   2, Palette_Porsche },
	{ 0, 0x19e3,  10,  45, Palette_Porsche },
//	{ 0, 0x1ba5,   5,  22, Palette_Porsche },
//	{ 0, 0x1c13,   3,  11, Palette_Porsche },
//	{ 0, 0x1c34,   2,   5, Palette_Porsche },
//	{ 0, 0x1c3e,   1,   2, Palette_Porsche },

	// Pickup (5 zoom levels)
	{ 0, 0x1c40,   6,  36 },
//	{ 0, 0x1d18,   3,  18 },
//	{ 0, 0x1d4e,   2,   9 },
//	{ 0, 0x1d60,   1,   4 }, // Edited manually.
//	{ 0, 0x1d64,   1,   2 },
	{ 0, 0x1d66,   6,  38 },
//	{ 0, 0x1e4a,   3,  19 },
//	{ 0, 0x1e83,   2,   9 },
//	{ 0, 0x1e95,   1,   4 },
//	{ 0, 0x1e99,   1,   2 }, // Edited manually.
	{ 0, 0x1e9b,   7,  36 },
//	{ 0, 0x1f97,   4,  18 },
//	{ 0, 0x1fdf,   2,   9 },
//	{ 0, 0x1ff1,   2,   4 }, // Edited manually.
//	{ 0, 0x1ff9,   1,   2 },
	{ 0, 0x1ffb,   7,  38 },
//	{ 0, 0x2105,   4,  19 },
//	{ 0, 0x2151,   2,   9 },
//	{ 0, 0x2163,   2,   4 }, // Edited manually.
//	{ 0, 0x216b,   1,   2 },
	{ 0, 0x216d,   8,  36 },
//	{ 0, 0x228d,   4,  18 },
//	{ 0, 0x22d5,   2,   9 },
//	{ 0, 0x22e7,   2,   4 }, // Edited manually.
//	{ 0, 0x22ef,   1,   2 },
	{ 0, 0x22f1,   8,  38 },
//	{ 0, 0x2421,   4,  19 },
//	{ 0, 0x246d,   2,   9 },
//	{ 0, 0x247f,   2,   4 }, // Edited manually.
//	{ 0, 0x2487,   1,   2 },

	// Convertible.
	{ 0, 0x3103,   7,  32 },
	{ 0, 0x31e3,   4,  16 },
	{ 0, 0x3223,   2,  12 },
	{ 0, 0x323b,   1,   2 },
	{ 0, 0x323d,   7,  33 },
	{ 0, 0x3324,   4,  16 },
	{ 0, 0x3364,   2,  12 },
	{ 0, 0x337c,   1,   2 },
	{ 0, 0x337e,   7,  32 },
	{ 0, 0x345e,   4,  16 },
	{ 0, 0x349e,   2,  12 },
	{ 0, 0x34b6,   1,   2 },
	{ 0, 0x34b8,   7,  33 },
	{ 0, 0x359f,   4,  16 },
	{ 0, 0x35df,   2,  12 },
	{ 0, 0x35f7,   1,   2 },
	{ 0, 0x35f9,   8,  32 },
	{ 0, 0x36f9,   4,  16 },
	{ 0, 0x3739,   3,   8 },
	{ 0, 0x3751,   2,   4 },
	{ 0, 0x3759,   1,   2 },
	{ 0, 0x375b,   8,  33 },
	{ 0, 0x3863,   4,  16 },
	{ 0, 0x38a3,   3,   8 },
	{ 0, 0x38bb,   2,   4 },
	{ 0, 0x38c3,   1,   2 },
	{ 0, 0x38c5,   6,  55 },
	{ 0, 0x3a0f,   3,  27 },
	{ 0, 0x3a60,   2,  13 },
	{ 0, 0x3a7a,   1,   9 },
	{ 0, 0x3a83,   7,  55 },
	{ 0, 0x3c04,   4,  27 },
	{ 0, 0x3c70,   2,  19 },
	{ 0, 0x3c96,   1,   3 },
	{ 0, 0x3c99,   8,  55 },
	{ 0, 0x3e51,   4,  27 },
	{ 0, 0x3ebd,   2,  19 },
	{ 0, 0x3ee3,   1,   3 },
//	{ 0, 0x3ee6,   2,   1 },
//	{ 0, 0x3ee8,   1,   1 },
//	{ 0, 0x3ee9,   2,   2 },
//	{ 0, 0x3eed,   1,   1 },
//	{ 0, 0x3eee,   2,   2 },
//	{ 0, 0x3ef2,   1,   1 },
//	{ 0, 0x3ef3,   2,   1 },


	// Motorcycle.
	{ 0, 0x4f36,   4,  40 },
	{ 0, 0x4fd2,   2,  20 },
	{ 0, 0x4ffa,   1,  17 },
	{ 0, 0x500b,   4,  39 },
	{ 0, 0x50a7,   2,  28 },
	{ 0, 0x50df,   1,   6 },
	{ 0, 0x50e5,   4,  38 },
	{ 0, 0x517d,   2,  28 },
	{ 0, 0x51b5,   1,   6 },
	{ 0, 0x51bb,   6,  31 },
	{ 0, 0x5275,   3,  15 },
	{ 0, 0x52a2,   2,   7 },
	{ 0, 0x52b0,   1,   4 },
	{ 0, 0x52b4,   7,  31 },
	{ 0, 0x538d,   4,  15 },
	{ 0, 0x53c9,   2,  10 },
	{ 0, 0x53dd,   1,   1 },
	{ 0, 0x53de,   8,  31 },
	{ 0, 0x54d6,   4,  15 },
	{ 0, 0x5512,   3,   7 },
	{ 0, 0x5527,   2,   3 },
	{ 0, 0x552d,   1,   1 },
	{ 0, 0x552e,   6,  35 },
	{ 0, 0x5600,   3,  17 },
	{ 0, 0x5633,   2,   8 },
	{ 0, 0x5643,   1,   6 },
	{ 0, 0x5649,   7,  35 },
	{ 0, 0x573e,   4,  17 },
	{ 0, 0x5782,   2,  12 },
	{ 0, 0x579a,   1,   2 },
	{ 0, 0x579c,   7,  35 },
	{ 0, 0x5891,   4,  17 },
	{ 0, 0x58d5,   2,  12 },
	{ 0, 0x58ed,   1,   2 },

	{ 0, 0x6b09,   4,  48 },
	{ 0, 0x6bc9,   5,  11 },
	{ 0, 0x6c00,   2,  25 },
	{ 0, 0x6c32,   8,  71 },
	{ 0, 0x6e6a,  10,  72 },
	{ 0, 0x716c,  10,  34 },
	{ 0, 0x72c0,   6,  20 },
	{ 0, 0x7350,   6,  25 },
	{ 0, 0x73e6,   9,  51 },
	{ 0, 0x75b1,   7,  55 },
	{ 0, 0x7732,  10,  15 },
	{ 0, 0x7804,  10,  24 },
	{ 0, 0x78f4,   7,  24 },
	{ 0, 0x79aa,   7,  22 },
	{ 0, 0x7a44,  10,  22 },
	{ 0, 0x7b20,   8,  37 },
	{ 0, 0x7c48,   6,  65 },
	{ 0, 0x7dce,   7,  18 },
	{ 0, 0x7e4c,   8,   7 },
//	{ 0, 0x7e84, 396,   1 }, // Fixme: empty?

	// Big tree.
	{ 0, 0x8000,  16, 124, Palette_Foliage1 },
	{ 0, 0x87d0,   9,  63, Palette_Foliage1 },
	{ 0, 0x8a07,   5,  31, Palette_Foliage1 },
	{ 0, 0x8aa2,   3,  15, Palette_Foliage1 },
	{ 0, 0x8acf,   2,   7, Palette_Foliage1 },
	
	{ 0, 0x8add,   9, 160 },
	{ 0, 0x907d,   5,  80 },
	{ 0, 0x920d,   3,  40 },
	{ 0, 0x9285,   2,  20 },
	{ 0, 0x92ad,   1,  10 },
	{ 0, 0x92b7,  12,  56 },
	{ 0, 0x9557,   6,  28 },
	{ 0, 0x95ff,   3,  14 },
	{ 0, 0x9629,   2,   7 },
	{ 0, 0x9637,   1,   3 },
	{ 0, 0x963a,  17,  53 },
	{ 0, 0x99bf,   9,  26 },
	{ 0, 0x9aa9,   5,  13 },
	{ 0, 0x9aea,   3,   6 },
	{ 0, 0x9afc,   2,   3 },
	
	// Palm tree, 
	{ 0, 0x9b02,  11, 168, Palette_Palmtree },
	{ 0, 0xa23a,   6,  84, Palette_Palmtree },
	{ 0, 0xa432,   3,  42, Palette_Palmtree },
	{ 0, 0xa4b0,   2,  21, Palette_Palmtree },
	{ 0, 0xa4da,   1,  10, Palette_Palmtree },
	{ 0, 0xa4e4,  16, 126 },
	{ 0, 0xacc4,   8,  63 },
	{ 0, 0xaebc,   5,  31 },
	{ 0, 0xaf57,   3,  15 },
	{ 0, 0xaf84,   2,   7 },
	{ 0, 0xaf92,  15, 132 },
	{ 0, 0xb74e,   8,  66 },
	{ 0, 0xb95e,   4,  33 },
	{ 0, 0xb9e2,   3,  16 },
	{ 0, 0xba12,   2,   8 },
	{ 0, 0xba22,  17,  79 },
	{ 0, 0xbf61,   9,  39 },
	{ 0, 0xc0c0,   5,  19 },
	{ 0, 0xc11f,   3,   9 },
	{ 0, 0xc13a,   1,   2 },
	{ 0, 0xc13c,   2,   1 },
	{ 0, 0xc13e,  13,  47 },
	{ 0, 0xc3a1,   7,  23 },
	{ 0, 0xc442,   4,  11 },
	{ 0, 0xc46e,   2,   5 },
	{ 0, 0xc478,   1,   2 },
	{ 0, 0xc47a,   7,  91 },
	{ 0, 0xc6f7,   4,  45 },
	{ 0, 0xc7ab,   2,  22 },
	{ 0, 0xc7d7,   1,   9 },
	{ 0, 0xc7e0,   2,   1 },
	{ 0, 0xc7e2,   1,   5 },
	{ 0, 0xc7e7,   6,  76 },
	{ 0, 0xc9af,   3,  38 },
	{ 0, 0xca21,   2,  20 },
	{ 0, 0xca49,   1,  11 },
	{ 0, 0xca54,   8,  44 },
	{ 0, 0xcbb4,   4,  22 },
	{ 0, 0xcc0c,   2,  11 },
	{ 0, 0xcc22,   1,   3 },
	{ 0, 0xcc25,   2,   1 },
	{ 0, 0xcc27,   1,   2 },
	{ 0, 0xcc29,   6,  70 },
	{ 0, 0xcdcd,   3,  35 },
	{ 0, 0xce36,   2,  19 },
	{ 0, 0xce5c,   1,   8 },
	{ 0, 0xce64,   9,  26 },
	{ 0, 0xcf4e,   5,  13 },
	{ 0, 0xcf8f,   3,   6 },
	{ 0, 0xcfa1,   2,   3 },
	{ 0, 0xcfa7,   1,   1 },
	{ 0, 0xcfa8,  14,  43 },
	{ 0, 0xd202,   7,  21 },
	{ 0, 0xd295,   4,  10 },
	{ 0, 0xd2bd,   2,   6 },
	// Last one.
	{ 0, 0xd2c9,  31,  32 /* 271 */ },
	{ 0, 0xd6a9,  31,  30 /* 271 */ },
	{ 0, 0xda4b,  31,  28 /* 271 */ },
	{ 0, 0xddaf,  31,  26 /* 271 */ },
	{ 0, 0xe0d5,  31, 255 /* 271 */ },
	
	// Bank 1
	{ 1, 0x0000,  24,   8 },
	{ 1, 0x00c0,  12,   4 },
	{ 1, 0x00f0,   6,   2 },
	{ 1, 0x00fc,   3,   1 },
	{ 1, 0x00ff,   1,   1 },
	{ 1, 0x0100,  22,   8 },
	{ 1, 0x01b0,  11,   4 },
	{ 1, 0x01dc,   6,   2 },
	{ 1, 0x01e8,   3,   1 },
	{ 1, 0x01eb,   1,   1 },
	{ 1, 0x01ec,  20,   8 },
	{ 1, 0x028c,  10,   4 },
	{ 1, 0x02b4,   5,   2 },
	{ 1, 0x02be,   3,   1 },
	{ 1, 0x02c1,   1,   1 },
	{ 1, 0x02c2,  18,   8 },
	{ 1, 0x0352,   9,   4 },
	{ 1, 0x0376,   5,   2 },
	{ 1, 0x0380,   3,   1 },
	{ 1, 0x0383,   1,   1 },
	{ 1, 0x0384,  16,   8 },
	{ 1, 0x0404,   8,   4 },
	{ 1, 0x0424,   4,   2 },
	{ 1, 0x042c,   2,   1 },
	{ 1, 0x042e,   1,   1 },
	{ 1, 0x042f,  14,   8 },
	{ 1, 0x049f,   7,   4 },
	{ 1, 0x04bb,   4,   2 },
	{ 1, 0x04c3,   2,   1 },
	{ 1, 0x04c5,   1,   1 },
	{ 1, 0x04c6,  12,   8 },
	{ 1, 0x0526,   6,   4 },
	{ 1, 0x053e,   3,   2 },
	{ 1, 0x0544,   2,   1 },
	{ 1, 0x0546,   1,   1 },
	{ 1, 0x0547,  10,   8 },
	{ 1, 0x0597,   5,   4 },
	{ 1, 0x05ab,   3,   2 },
	{ 1, 0x05b1,   2,   1 },
	{ 1, 0x05b3,   1,   1 },
	{ 1, 0x05b4,   8,   8 },
	{ 1, 0x05f4,   4,   4 },
	{ 1, 0x0604,   2,   2 },
	{ 1, 0x0608,   1,   2 },
	{ 1, 0x060a,   6,   8 },
	{ 1, 0x063a,   3,   4 },
	{ 1, 0x0646,   2,   2 },
	{ 1, 0x064a,   1,   2 },
	{ 1, 0x064c,   4,   8 },
	{ 1, 0x066c,   2,   6 },
	{ 1, 0x0678,   1,   2 },
	{ 1, 0x067a,   2,   8 },
	{ 1, 0x068a,   1,   8 },
	{ 1, 0x0692,  12,  43 },
	{ 1, 0x0896,   6,  21 },
	{ 1, 0x0914,   4,  10 },
	{ 1, 0x093c,   2,   5 },
	{ 1, 0x0946,   1,   2 },
	{ 1, 0x0948,  31,  32 }, // 272 },
	{ 1, 0x0d28,  31,  30 }, // 272 },
	{ 1, 0x10ca,  31,  28 }, // 272 },
	{ 1, 0x142e,  31,  26 }, // 272 },
	{ 1, 0x1754,  31,  24 }, // 272 },
	{ 1, 0x1a3c,  31, 255 }, // 272 },

	{ 1, 0x2a38,  11, 122, Palette_Stone1 },
	{ 1, 0x2f76,   6,  61, Palette_Stone1 },
	{ 1, 0x30e4,   3,  30, Palette_Stone1 },
	{ 1, 0x313e,   2,  15, Palette_Stone1 },
	{ 1, 0x315c,   1,   7, Palette_Stone2 },
	{ 1, 0x3163,  30,  48, Palette_Stone2 },
	{ 1, 0x3703,  15,  24, Palette_Stone2 },
	{ 1, 0x386b,   8,  12, Palette_Stone2 },
	{ 1, 0x38cb,   4,   6, Palette_Stone2 },
	{ 1, 0x38e3,   3,   3, Palette_Stone2 },
	{ 1, 0x38ec,  29,  32 }, // 272 },
	{ 1, 0x3c8c,  29,  30 }, // 272 },
	{ 1, 0x3ff2,  29,  28 }, // 272 },
	{ 1, 0x431e,  29,  26 }, // 272 },
	{ 1, 0x4610,  29,  24 }, // 272 },
	{ 1, 0x48c8,  29, 255 }, // 272 },
	{ 1, 0x57bc,  10,   7 },
	{ 1, 0x5802,   5,   3 },
	{ 1, 0x5811,   3,   1 },
	{ 1, 0x5814,   2,   1 },
	{ 1, 0x5816,   1,   1 },
	{ 1, 0x5817,  10,  16 },
	{ 1, 0x58b7,   5,   8 },
	{ 1, 0x58df,   3,   4 },
	{ 1, 0x58eb,   2,   2 },
	{ 1, 0x58ef,   1,   1 },
//	{ 1, 0x58f0,   2,   1 },
//	{ 1, 0x58f2,   1,   3 },
//	{ 1, 0x58f5,   2,   2 },
//	{ 1, 0x58f9,   1,   3 },
//	{ 1, 0x58fc,   2,   2 },
//	{ 1, 0x5900,   1,   3 },
//	{ 1, 0x5903,   2,   2 },
//	{ 1, 0x5907,   1,   3 },
//	{ 1, 0x590a,   2,   2 },
//	{ 1, 0x590e,   1,   3 },
//	{ 1, 0x5911,   2,   2 },
//	{ 1, 0x5915,   1,   3 },
//	{ 1, 0x5918,   2,   2 },
//	{ 1, 0x591c,   1,   3 },
//	{ 1, 0x591f,   2,   2 },
//	{ 1, 0x5923,   1,   3 },
//	{ 1, 0x5926,   2,   1 },
	{ 1, 0x5928,   7,  12 },
//	{ 1, 0x597c,   2,   1 },
//	{ 1, 0x597e,   1,   3 },
//	{ 1, 0x5981,   2,   2 },
//	{ 1, 0x5985,   1,   3 },
//	{ 1, 0x5988,   2,   2 },
//	{ 1, 0x598c,   1,   3 },
//	{ 1, 0x598f,   2,   2 },
//	{ 1, 0x5993,   1,   3 },
//	{ 1, 0x5996,   2,   2 },
//	{ 1, 0x599a,   1,   3 },
//	{ 1, 0x599d,   2,   1 },
	{ 1, 0x599f,   7,  15 },
//	{ 1, 0x5a08,   2,   1 },
//	{ 1, 0x5a0a,   1,   3 },
//	{ 1, 0x5a0d,   2,   2 },
//	{ 1, 0x5a11,   1,   3 },
//	{ 1, 0x5a14,   2,   2 },
//	{ 1, 0x5a18,   1,   3 },
//	{ 1, 0x5a1b,   2,   1 },
	{ 1, 0x5a1d,   7,  17 },
//	{ 1, 0x5a94,   2,   1 },
//	{ 1, 0x5a96,   1,   3 },
//	{ 1, 0x5a99,   2,   2 },
//	{ 1, 0x5a9d,   1,   3 },
//	{ 1, 0x5aa0,   2,   2 },
//	{ 1, 0x5aa4,   1,   3 },
//	{ 1, 0x5aa7,   2,   2 },
//	{ 1, 0x5aab,   1,   3 },
//	{ 1, 0x5aae,   2,   2 },
//	{ 1, 0x5ab2,   1,   3 },
//	{ 1, 0x5ab5,   2,   2 },
//	{ 1, 0x5ab9,   1,   3 },
//	{ 1, 0x5abc,   2,   2 },
//	{ 1, 0x5ac0,   1,   3 },
//	{ 1, 0x5ac3,   2,   2 },
//	{ 1, 0x5ac7,   1,   3 },
//	{ 1, 0x5aca,   2,   2 },
//	{ 1, 0x5ace,   1,   3 },
//	{ 1, 0x5ad1,   2,   1 },
	{ 1, 0x5ad3,   7,  11 },
	{ 1, 0x5b20,  28,  64 },
	{ 1, 0x6220,  28,  56 },
	{ 1, 0x6840,  28,  48 },
	{ 1, 0x6d80,  28,  40 },
	{ 1, 0x71e0,  28, 255 },
	//{ 1, 0x7af4, 1307,   1 }, // Not sure there's anything useful in here.
	
	{ 1, 0x8000,  15,  73 },
	{ 1, 0x8447,   8,  36 },
	{ 1, 0x8567,   4,  18 },
	{ 1, 0x85af,   3,   9 },
	{ 1, 0x85ca,   2,   4 },
	{ 1, 0x85d2,   5,  27 },
	{ 1, 0x8659,   3,  13 },
	{ 1, 0x8680,   2,   6 },
	{ 1, 0x868c,   1,   4 },
	{ 1, 0x8690,  14, 103 },
	{ 1, 0x8c32,   7,  51 },
	{ 1, 0x8d97,   4,  25 },
	{ 1, 0x8dfb,   2,  18 },
	{ 1, 0x8e1f,  28,  51 },
	{ 1, 0x93b3,  14,  25 },
	{ 1, 0x9511,   8,  12 },
	{ 1, 0x9571,   4,   6 },
	{ 1, 0x9589,   2,   3 },
	{ 1, 0x958f,  13, 101 },
	{ 1, 0x9ab0,   7,  50 },
	{ 1, 0x9c0e,   4,  25 },
	{ 1, 0x9c72,   2,  12 },
	{ 1, 0x9c8a,   1,   6 },
	{ 1, 0x9c90,   8, 112 },
	{ 1, 0xa010,   4,  56 },
	{ 1, 0xa0f0,   3,  28 },
	{ 1, 0xa144,   2,  14 },
	{ 1, 0xa160,   1,   7 },
	{ 1, 0xa167,  15,  80 },
	{ 1, 0xa617,   8,  40 },
	{ 1, 0xa757,   4,  20 },
	{ 1, 0xa7a7,   3,  10 },
	{ 1, 0xa7c5,   2,   5 },
	{ 1, 0xa7cf,  17,  48 },
	{ 1, 0xaaff,   9,  24 },
	{ 1, 0xabd7,   5,  12 },
	{ 1, 0xac13,   3,   6 },
	{ 1, 0xac25,   2,   3 },
	{ 1, 0xac2b,  16, 127 },
	{ 1, 0xb41b,   8,  63 },
	{ 1, 0xb613,   5,  31 },
	{ 1, 0xb6ae,   3,  15 },
	{ 1, 0xb6db,   2,   7 },
	{ 1, 0xb6e9,  19,  92 },
	{ 1, 0xbdbd,  10,  46 },
	{ 1, 0xbf89,   5,  23 },
	{ 1, 0xbffc,   3,  11 },
	{ 1, 0xc01d,   2,   5 },
	{ 1, 0xc027,  22, 178 },
	{ 1, 0xcf73,  11,  89 },
	{ 1, 0xd346,   6,  44 },
	{ 1, 0xd44e,   3,  22 },
	{ 1, 0xd490,   2,  11 },
	{ 1, 0xd4a6,  30,  61 },
	{ 1, 0xdbcc,  15,  30 },
	{ 1, 0xdd8e,   8,  15 },
	{ 1, 0xde06,   4,   7 },
	{ 1, 0xde22,   2,   3 },
	{ 1, 0xde28,  30,  61 },
	{ 1, 0xe54e,  15,  30 },
	{ 1, 0xe710,   8,  15 },
	{ 1, 0xe788,   4,   7 },
	{ 1, 0xe7a4,   3,   3 },
	{ 1, 0xe7ad,   8,  87 },
	{ 1, 0xea65,   6, 105 },
	{ 1, 0xecdb,   9, 128 },
	{ 1, 0xf15b,   5,  64 },
	{ 1, 0xf29b,   3,  32 },
	{ 1, 0xf2fb,   2,  16 },
	{ 1, 0xf31b,   1,   8 },
	{ 1, 0xf323,   2,   7 },
	{ 1, 0xf331,   3,  19 },
	{ 1, 0xf36a,   4,  29 },
	{ 1, 0xf3de,   9, 177 },
	{ 1, 0xfa17,   7,  32 },
	{ 1, 0xfaf7,   4,  10 },

	//---------------------------------------------------------------------------------------------------------------------------------------------------------
	// Bank 2
	{ 2, 0x0000,  28,  46 },
//	{ 2, 0x0508,  14,  23 },
//	{ 2, 0x064a,   8,  11 },
//	{ 2, 0x06a2,   4,   5 },
//	{ 2, 0x06b6,   2,   2 },
	{ 2, 0x06ba,  10, 128 },
//	{ 2, 0x0bba,   5,  64 },
//	{ 2, 0x0cfa,   3,  32 },
//	{ 2, 0x0d5a,   2,  16 },
//	{ 2, 0x0d7a,   1,   8 },
	{ 2, 0x0d82,   4, 112 },
//	{ 2, 0x0f42,   2,  56 },
//	{ 2, 0x0fb2,   2,  28 },
//	{ 2, 0x0fea,   1,   6 },
//	{ 2, 0x0ff0,   2,   1 },
	{ 2, 0x0ff2,   1,  13 },
	{ 2, 0x0fff,  15,  64 },
	{ 2, 0x13bf,   8,  32 },
	{ 2, 0x14bf,   4,  16 },
	{ 2, 0x14ff,   3,   8 },
	{ 2, 0x1517,   2,   4 },
	{ 2, 0x151f,  16,  86 },
	{ 2, 0x1a7f,   8,  43 },
	{ 2, 0x1bd7,   5,  21 },
	{ 2, 0x1c40,   3,  10 },
	{ 2, 0x1c5e,   2,   5 },
	{ 2, 0x1c68,   4,  28 },
	{ 2, 0x1cd8,   2,  14 },
	{ 2, 0x1cf4,   1,  11 },
	{ 2, 0x1cff,  24,  65 },
	{ 2, 0x2317,  12,  32 },
	{ 2, 0x2497,   7,  16 },
	{ 2, 0x2507,   4,   8 },
	{ 2, 0x2527,   2,   4 },
	{ 2, 0x252f,  15, 140 },
	{ 2, 0x2d63,   8,  70 },
	{ 2, 0x2f93,   4,  34 },
	{ 2, 0x301b,   2,  27 },
	{ 2, 0x3051,  10, 164 },
	{ 2, 0x36b9,   5,  82 },
	{ 2, 0x3853,   3,  41 },
	{ 2, 0x38ce,   2,  20 },
	{ 2, 0x38f6,   1,  10 },
	{ 2, 0x3900,  15,  42 },
	{ 2, 0x3b76,   8,  21 },
	{ 2, 0x3c1e,   4,  10 },
	{ 2, 0x3c46,   3,   5 },
	{ 2, 0x3c55,   2,   2 },
	{ 2, 0x3c59,   6,  67 },
	{ 2, 0x3deb,   3,  33 },
	{ 2, 0x3e4e,   2,  16 },
	{ 2, 0x3e6e,   1,  12 },
	{ 2, 0x3e7a,   6,  15 },
	{ 2, 0x3ed4,   3,   7 },
	{ 2, 0x3ee9,   2,   3 },
	{ 2, 0x3eef,   1,   2 },
	{ 2, 0x3ef1,   3,   8 },
	{ 2, 0x3f09,   2,   4 },
	{ 2, 0x3f11,   1,   4 },
	{ 2, 0x3f15,  15,  55 },
	{ 2, 0x424e,   8,  27 },
	{ 2, 0x4326,   4,  13 },
	{ 2, 0x435a,   3,   6 },
	{ 2, 0x436c,   2,   3 },
	{ 2, 0x4372,   8, 170 },
	{ 2, 0x48c2,   4,  85 },
	{ 2, 0x4a16,   3,  42 },
	{ 2, 0x4a94,   2,  21 },
	{ 2, 0x4abe,   1,  10 },

	// Flag guy
	{ 2, 0x4ac8,   5,  97 },
	{ 2, 0x4cad,   7,  93 },
	{ 2, 0x4f38,   8,  65 },
	{ 2, 0x5140,   8,  66 },
	{ 2, 0x5350,   8,  76 },
	{ 2, 0x55b0,   7,  83 },
	{ 2, 0x57f5,   6,  66 },
	{ 2, 0x5981,   7,  62 },
	{ 2, 0x5b33,   8,  63 },
	{ 2, 0x5d2b,   6,  87 },
	

	{ 2, 0x654b,   1,  96 },
	{ 2, 0x65ab,   3,  48 },
	{ 2, 0x663b,   5,  63 },
	{ 2, 0x6776,   3,  31 },
	{ 2, 0x67d3,   2,  15 },
	{ 2, 0x67f1,   1,  10 },
	{ 2, 0x67fb,   5,  34 },
	{ 2, 0x68a5,   3,  17 },
	{ 2, 0x68d8,   2,   8 },
	{ 2, 0x68e8,   1,   6 },
	{ 2, 0x68ee,   4,  41 },
	{ 2, 0x6992,   2,  30 },
	{ 2, 0x69ce,   1,   1 },
	{ 2, 0x69cf,   2,   1 },
	{ 2, 0x69d1,   1,   4 },
	{ 2, 0x69d5,   6,  27 },
	{ 2, 0x6a77,   3,  13 },
	{ 2, 0x6a9e,   2,   6 },
	{ 2, 0x6aaa,   1,   4 },
	{ 2, 0x6aae,   8,  40 },
	{ 2, 0x6bee,   4,  20 },
	{ 2, 0x6c3e,   2,  15 },
	{ 2, 0x6c5c,   1,   2 },
	{ 2, 0x6c5e,  11,  40 },
	{ 2, 0x6e16,   5,  21 },
	{ 2, 0x6e7f,  13,  22 },
	{ 2, 0x6f9d,   5,  22 },
	{ 2, 0x700b,  12,  34 },
	{ 2, 0x71a3,   5,  21 },
	{ 2, 0x720c,   3,  70 }, // A B C D E (for map)

	{ 2, 0x72de,   9, 48 },
	{ 2, 0x748e,   9, 54 },
	{ 2, 0x7674,   9, 71 },

	{ 2, 0x78f3,   7,  63 }, // Flag guy.
	{ 2, 0x7aac,   7,  63 },

	{ 2, 0x7c65,   6,  71 },
//  { 2, 0x7e0f, 498,   1 }, // Nothing useful in here?
	
	{ 2, 0x8001,   1, 213 },
	{ 2, 0x80d6,   2, 112 },
	{ 2, 0x81b6,   1, 104 },
	{ 2, 0x821e,   3, 112 },
	{ 2, 0x836e,   2,  56 },
	{ 2, 0x83de,   1,  49 },
	{ 2, 0x840f,   2, 112 },
	{ 2, 0x84ef,   1, 105 },
	{ 2, 0x8558,   2, 112 },
	{ 2, 0x8638,   1, 105 },
	{ 2, 0x86a1,  56,   1 },
	{ 2, 0x86d9,   7,  78 }, // Surfer
	{ 2, 0x88fb,   4,  43 },
	{ 2, 0x89a7,   2,  31 },
	{ 2, 0x89e5,   1,   5 },
	{ 2, 0x89ea,   3,  31 },
	{ 2, 0x8a47,   2,  15 },
	{ 2, 0x8a65,   1,  11 },
	{ 2, 0x8a70,   2,   1 },
	{ 2, 0x8a72,   1,   1 },
	{ 2, 0x8a73,   2,   2 },
	{ 2, 0x8a77,   1,   1 },
	{ 2, 0x8a78,   2,   2 },
	{ 2, 0x8a7c,   1,   1 },
	{ 2, 0x8a7d,   2,   1 },

	
	
	{ 2, 0x8c41,   3,  20 },
	{ 2, 0x8c7d,   2,  10 },
	{ 2, 0x8c91,   1,   8 },

	{ 2, 0x8d59,  10,  29 }, // Mud splatter.
	{ 2, 0x8e99,  10,  30 }, // Mud splatter.
	{ 2, 0x8fd9,  10,  30 }, // Mud splatter.
	{ 2, 0x9123,  10,  30 }, // Mud splatter.
	

	{ 2, 0x98f7,  23,  88 }, // Outrun logo background.
	{ 2, 0xa0df,  12,  44 },
	{ 2, 0xa2ef,   6,  22 },
	{ 2, 0xa373,   4,  11 },
	{ 2, 0xa39f,   2,   5 },
	{ 2, 0xa3a9,  18,  36, 15 }, // Out run logo foreground.
	{ 2, 0xa631,   9,  18, 15 },
	{ 2, 0xa6d3,   5,   9, 15 },
	{ 2, 0xa700,   3,   4, 15 },
	{ 2, 0xa70c,   4,   1, 15 },
	{ 2, 0xa710,   1,   3, 15 },
	{ 2, 0xa713,   2,   1, 15 },
	{ 2, 0xa715,   7,  56 }, // Logo palm tree.
	{ 2, 0xa89d,   4,  28 },
	{ 2, 0xa90d,   2,  14 },
	{ 2, 0xa929,   1,   2 },
	{ 2, 0xa92b,   2,   1 },
	{ 2, 0xa92d,   1,   6 },
	{ 2, 0xa933,   7,  57 },
	{ 2, 0xaac2,   4,  28 },
	{ 2, 0xab32,   2,  14 },
	{ 2, 0xab4e,   1,   2 },
	{ 2, 0xab50,   2,   1 },
	{ 2, 0xab52,   1,   6 },
	{ 2, 0xab58,   7,  57 },
	{ 2, 0xace7,   4,  28 },
	{ 2, 0xad57,   2,  14 },
	{ 2, 0xad73,   1,   2 },
	{ 2, 0xad75,   2,   1 },
	{ 2, 0xad77,   1,   6 },
	{ 2, 0xad7d,  13,  25 }, // Logo road
	{ 2, 0xaec2,   7,  12 },
	{ 2, 0xaf16,   4,   6 },
	{ 2, 0xaf2e,   2,   3 },
	{ 2, 0xaf34,   1,   1 },
	{ 2, 0xaf35,   9,  39 }, // Logo car.
	{ 2, 0xb094,   5,  19 },
	{ 2, 0xb0f3,   3,   9 },
	{ 2, 0xb10e,   2,   4 },
	{ 2, 0xb116,   1,   2 },
	{ 2, 0xb118,   3,   6 },
	{ 2, 0xb12a,   2,   3 },
	{ 2, 0xb130,   1,   1 },
	{ 2, 0xb131,   2,   1 },
	{ 2, 0xb133,   3,   6 },
	{ 2, 0xb145,   2,   3 },
	{ 2, 0xb14b,  22,   1 },

	
	
	
	{ 2, 0xec81,  31,  32 },
	{ 2, 0xf061,  16,  16 },
	{ 2, 0xf161,   8,   8 },
	{ 2, 0xf1a1,   5,   4 },
	{ 2, 0xf1b5,   3,   2 },
	{ 2, 0xf1bb,   5,  47 },
	{ 2, 0xf2a6,   2,   1 },
	{ 2, 0xf2a8,   1,   1 },
	{ 2, 0xf2a9,   2,   2 },
	{ 2, 0xf2ad,   1,   1 },
	{ 2, 0xf2ae,   2,   2 },
	{ 2, 0xf2b2,   1,   1 },
	{ 2, 0xf2b3,   2,   1 },
	{ 2, 0xf2b5,   5,   2 },
	{ 2, 0xf2bf,   2,   1 },
	{ 2, 0xf2c1,   1,   1 },
	{ 2, 0xf2c2,   2,   1 },
	{ 2, 0xf2c4,   5,   1 },
	{ 2, 0xf2c9,   3,  33 },
	{ 2, 0xf32c,   1,  12 },
	{ 2, 0xf338,   4, 192 },
	{ 2, 0xf638,   2, 144 },
	{ 2, 0xf758,   1,  24 },
	{ 2, 0xf770,   9,   1 },
	{ 2, 0xf779,   2,   1 },
	{ 2, 0xf77b,   1,   5 },
	{ 2, 0xf780,   2,   2 },
	{ 2, 0xf784,   1,   5 },
	{ 2, 0xf789,   2,   2 },
	{ 2, 0xf78d,   1,   5 },
	{ 2, 0xf792,   2,   1 },
	{ 2, 0xf794,   9,   2 },
	{ 2, 0xf7a6,   2,   1 },
	{ 2, 0xf7a8,   1,   5 },
	{ 2, 0xf7ad,   2,   2 },
	{ 2, 0xf7b1,   1,   5 },
	{ 2, 0xf7b6,   2,   1 },
	{ 2, 0xf7b8,   9, 136 },

#endif
#if 1 // Bank 3 mostly complete.
	//---------------------------------------------------------------------------------------------------------------------------------------------------------
	// Bank 3

	
	// Radio stuff. First, frequencies.
	{ 3, 0x4131,   4,   7 }, // 69.2
	{ 3, 0x414d,   4,   7 },
	{ 3, 0x4169,   4,   7 },
	// Radio button.
	{ 3, 0x4185,   4,  25, Palette_Radio_Knob },
	{ 3, 0x41e9,   4,  25, Palette_Radio_Knob },
	{ 3, 0x424d,   4,  25, Palette_Radio_Knob },

	// Radio VU meter, one color for each dot.
	{ 3, 0x42b1,   4,   5 },
	{ 3, 0x42c5,  17,  30, Palette_Radio }, // Actual radio panel.
	{ 3, 0x44c3,  18,  62, Palette_Radio_Arm }, // Arm x3
	{ 3, 0x491f,  18,  58, Palette_Radio_Arm },
	{ 3, 0x4d33,  17,  64, Palette_Radio_Arm },
	
	// Splash with shadow.
	{ 3, 0x5173,   9,  31 },
	{ 3, 0x528a,  14,  29 },
	{ 3, 0x5420,  13,  31 },
	{ 3, 0x55c9,  11,  29 },
	{ 3, 0x5708,  14,  31 },
	{ 3, 0x58ba,  14,  30 },
	
	{ 3, 0x5a5e,   6,   8 },
	{ 3, 0x5a8e,   3,   4 },
	{ 3, 0x5a9a,   2,   2 },
	{ 3, 0x5a9e,   1,   2 },
	{ 3, 0x5aa0,   7,   8 },
	{ 3, 0x5ad8,   4,   4 },
	{ 3, 0x5ae8,   2,   1 },
	{ 3, 0x5aea,   4,   1 },
	{ 3, 0x5aee,   7,   8 },
	{ 3, 0x5b26,   4,   4 },
	{ 3, 0x5b36,   2,   1 },
	{ 3, 0x5b38,   1,   1 }, 
	

	// Guys throwing player
	{ 3, 0x6795,   9, 49 },
	{ 3, 0x694e,   9, 53 },
	{ 3, 0x6b2b,   9, 71 }, 
	{ 3, 0x6daa,   9, 48 }, 
	{ 3, 0x6f5a,   9, 54 }, 
	{ 3, 0x7140,   9, 71 }, 
	{ 3, 0x73bf,   9, 49 }, 
	{ 3, 0x7578,   9, 53 }, 
	{ 3, 0x7755,   9, 71 }, 
	
	// GOAL banner (2 parts)
	{ 3, 0x8000,  30,  62 },
	{ 3, 0x8744,  15,  31 },
	{ 3, 0x8915,   8,  15 },
	{ 3, 0x898d,   4,   7 },
	{ 3, 0x89a9,   2,   3 },
	{ 3, 0x89af,  30,  62 },
	{ 3, 0x90f3,  15,  31 },
	{ 3, 0x92c4,   8,  15 },
	{ 3, 0x933c,   4,   7 },
	{ 3, 0x9358,   3,   3 },
	
	// Splash
	{ 3, 0x936b,   5,  17 },
	{ 3, 0x93c0,   5,  21 },
	{ 3, 0x9429,   5,  20 },
	{ 3, 0x948d,   5,  17 },
	{ 3, 0x94f1,   5,  12 },
	
	{ 3, 0x952d,   4, 61 },
	{ 3, 0x9621,   4, 61 },
	{ 3, 0x9715,   5,  35 },
	{ 3, 0x97c4,   4,  60 },
	{ 3, 0x98b4,   4,  62 },
	{ 3, 0x99ac,   3,  54 },
	{ 3, 0x9a4e,   4,  61 },
	{ 3, 0x9b42,   3,  63 },
	
	// Clouds wide! (could use all of them at once?)
	{ 3, 0x9bff,  31, 32 },
	{ 3, 0x9fdf,  31, 28 },
	{ 3, 0xa343,  31, 24 },
	{ 3, 0xa62b,  31, 20 },
	{ 3, 0xa897,  31, 16 },
	{ 3, 0xaa87,  31, 12 },
	{ 3, 0xabfb,  31,  8 },
	{ 3, 0xacf3,  31,  4 },
	{ 3, 0xad6f,  31,  2 },

	// Natives with spears.
	{ 3, 0xadad,  31,  42 },
	{ 3, 0xb2c3,  16,  21 },
	{ 3, 0xb413,   8,  10 },
	{ 3, 0xb463,   4,   5 },
	{ 3, 0xb477,   2,   2 },

	// Small clouds? Snow?
	{ 3, 0xb47b,  31,  16 },
	{ 3, 0xb66b,  31,  15 },
	{ 3, 0xb83c,  31,  14 },
	{ 3, 0xb9ee,  31,  13 },
	{ 3, 0xbb81,  31,  12 },
	{ 3, 0xbcf5,  31,  11 },
	{ 3, 0xbe4a,  31,  10 },
	{ 3, 0xbf80,  31,   9 },
	{ 3, 0xc097,  31,   8 },
	{ 3, 0xc18f,  31,   7 },
	{ 3, 0xc268,  31,   6 },
//	{ 3, 0xc322,  31,   4 }, // Unclear where to split. Also ugly.
//	{ 3, 0xc39e,  31,  30 },
//	{ 3, 0xc496,  31,   3 },
	
	// 3 guys walking 
	{ 3, 0xc4f3,   9,  58 },
	{ 3, 0xc6fd,   9,  58 },
	{ 3, 0xc907,  10,  58 },
	{ 3, 0xcb4b,   9,  58 },
	{ 3, 0xcd55,   9,  58 },
	{ 3, 0xcf5f,  10,  58 },
	{ 3, 0xd1a3,   9,  58 },
	{ 3, 0xd3ad,   9,  58 },
	{ 3, 0xd5b7,  10,  58 },
	{ 3, 0xd7fb,   9,  58 },
	{ 3, 0xda05,   9,  58 },
	{ 3, 0xdc0f,  10,  58 },

#endif // end bank 3
};

const uint16_t NumGameSprites = sizeof(GameSprites) / sizeof(SpriteInfo);
