#ifndef __SPRITEINFO_H__
#define __SPRITEINFO_H__

#include <stdint.h>

typedef struct 
{
	uint8_t  BankIdx;
	uint16_t BankOffset; 	// In DWORDs (which is how the sprite generator addresses it)
	int8_t   Pitch;			// Pitch (8 pixels, or 32 bits)
	uint8_t  Height; 		// Total height (this is one more than the Height member set in the sprite registers).
	uint8_t  PaletteIdx; 	// Default palette.
} SpriteInfo;

// List generated by scanning for end markers in the sprite mask roms.
// Further split up by hand when sprites of the same pitch/width follow each other.
extern const SpriteInfo GameSprites[];

 // Number of sprites in the list.
extern const uint16_t NumGameSprites;

#endif // __SPRITEINFO_H__
