#include <maincpu.h>
#include <stdint.h>
#include <stdbool.h>
#include "palette.h"

// Remove this for some minor speed gain.
#define SANITIZE_PALIDX(x) (x&0xfff)
//#define SANITIZE_PALIDX(x) (x)

// Only the most basic functionality here. The rest can go into samples/common.
void PALETTE_SetColor (uint16_t idx, const PackedColor packedColor)
{
	PALETTE_RAM_BASE[SANITIZE_PALIDX(idx)] = packedColor.Packed;
}

PackedColor PALETTE_GetColor (uint16_t idx)
{
	return PACKED_COLOR(PALETTE_RAM_BASE[SANITIZE_PALIDX(idx)]);
}
