#!/bin/bash 
# Note that unlike on Windows, you can't modify the environment outside your own process, so this script has to be called from the others via 'source'

if [[ ! -z "${OUTRUN_SDK_PATH}" ]]; then
  # Don't run twice (to prevent the path variable getting really long).
  echo Environment already set.

else
  
  # Allows external override.
  if [ -z $OUTRUN_GCC_VERSION ]; then
    export OUTRUN_GCC_VERSION=8.2.0
  fi

  echo Setting up Outrun SDK environment \(GCC $OUTRUN_GCC_VERSION\)
  DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
  export OUTRUN_SDK_PATH=$DIR/sdk
  export OUTRUN_GCC_PATH=$DIR/gcc-$OUTRUN_GCC_VERSION
  export PATH=$PATH:$OUTRUN_GCC_PATH/bin:$DIR/bin

fi
